NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.JointmarkBuilder Class Reference

Represents a NXOpen.Weld.Jointmark builder More...

Inheritance diagram for NXOpen.Weld.JointmarkBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Weld.PointMarkBuilder

Public Types

enum  ConnectedPanelTypes { Two, Three, Four }
 The type of sheets to create More...
 
enum  ConnectPartTypes { AllUniqueParts, OnlyOnePart, IgnoreFiltering }
 The type of connect part More...
 
enum  Method {
  GuideCurve, Mirror, Points, Translate,
  ExistingPoints
}
 The type of construction method for creating Jointmark More...
 
enum  OrientationMethodTypes { SurfaceNormal, CoordinateSystem }
 The type of orientation method for defining the default coordinate system. More...
 
enum  ProjectionDirectionOptions {
  None, AlongFaceNormal, PricipalAxis, X,
  Y, Z
}
 The projection direction used to project points onto the reference sheet More...
 
enum  ReferenceSheetTypes { Overlap, Top }
 The type of sheets to create More...
 
enum  ReuseMethod { SameConnectingParts, AnyConnectingParts }
 The method to indicate if all reuse features have the same connected parts More...
 

Public Member Functions

unsafe void AppendPoints (bool mode, NXOpen.Curve curve)
 Creates a list of points on the overlap sheet. More...
 
unsafe NXOpen.Weld.ConnectedPart AskConnectedFaces ()
 Find the connected face information. More...
 
unsafe void CreateReferenceData ()
 Create a temporary overlap or top sheet and guide curve. More...
 
unsafe NXOpen.Curve CreateSymbolCurve (string path, string name)
 Create curve From PMI symbol More...
 
unsafe void DeleteReferenceData ()
 Delete temporary overlap or top sheet feature. More...
 
unsafe void FromReuseFeatures (out bool faceSetsUpdated, out bool guideCurvesUpdated, out bool pointSelectionUpdated)
 Initializes face sets, guide curve, and points builders from reuse features. More...
 
unsafe void GetCreateReferenceDataMessages (out string[] messages)
 Get all the messages created by NXOpen.Weld.JointmarkBuilder.CreateReferenceData . More...
 
unsafe NXOpen.Features.Feature GetReferenceSheet ()
 Returns the Reference Sheet feature More...
 
unsafe void GetSelectedReferences (out NXOpen.NXObject[] references)
 Gets the selected points, or point features, references. More...
 
unsafe void GetSheetEdges (out NXOpen.Edge[] edges)
 Edges of created sheet More...
 
unsafe void MapFeaturesToPoints ()
 Maps the selected reuse features to the new preview point locations. More...
 
unsafe void MoveReferenceSheet ()
 Move the Reference Sheet to work layer, and unlink from grouping feature. More...
 
unsafe
NXOpen.Weld.JointmarkFaceSetsBuilder 
NewFaceSets ()
 Creates a NXOpen.Weld.JointmarkFaceSetsBuilder object. More...
 
unsafe
NXOpen.Weld.JointmarkGuideBuilder 
NewGuide ()
 Creates a NXOpen.Weld.JointmarkGuideBuilder object. More...
 
unsafe
NXOpen.Weld.JointmarkPointsBuilder 
NewPoints ()
 Creates a NXOpen.Weld.JointmarkPointsBuilder object. More...
 
unsafe void RediscoverFaces ()
 Use the Weld Assistant Connected Face Finder command to rediscover faces based on the current feature point positions. More...
 
unsafe void SetDisplayCsys (bool status)
 Indicates whether the csys should be displayed on creation More...
 
unsafe void SetShowThruState (bool status)
 Indicates whether the output objects should show thru on creation More...
 
unsafe void UpdateFeatures ()
 Updates all the items on the points list based on the construction method and related inputs. More...
 
unsafe void UpdatePoint ()
 Updates the selected point by projecting it to the guide curve. More...
 
unsafe NXOpen.Features.Feature UpdateReferenceSheet (bool facesModified)
 Prepares a Reference Sheet for placing Jointmark features. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool Associativity [get, set]
 Returns or sets the automatic update option also known as associativity. More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
Characteristics [get]
 Returns the characteristics More...
 
unsafe
NXOpen.Weld.JointmarkBuilder.ConnectedPanelTypes 
ConnectedPanelType [get, set]
 Returns or sets the number of connected panels at a point. More...
 
unsafe bool ConnectPart [get, set]
 Returns or sets the option of connecting only one part. More...
 
unsafe
NXOpen.Weld.JointmarkBuilder.ConnectPartTypes 
ConnectPartType [get, set]
 Returns or sets the option of connecting only one part. More...
 
unsafe
NXOpen.Weld.JointmarkBuilder.Method 
ConstructionMethod [get, set]
 Returns or sets the construction method for creating Jointmark More...
 
unsafe bool CreateSingleFeatures [get, set]
 Returns or sets the control option to determine if individual features should be created. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe
NXOpen.Weld.JointmarkFaceSetsBuilderList 
FaceSetsList [get]
 Returns the list of face sets More...
 
unsafe NXOpen.CoordinateSystem FixedCsys [get, set]
 Returns or sets the fixed csys that overrides the default Csys orientation. More...
 
unsafe
NXOpen.Weld.JointmarkGuideBuilderList 
GuideCurvesList [get]
 Returns the list of guide curves More...
 
unsafe bool NotifyIfParentPointMoved [get, set]
 Returns or sets the option to indicate if an alert should be issued when the parent point moves. More...
 
unsafe
NXOpen.Weld.JointmarkBuilder.OrientationMethodTypes 
OrientationMethod [get, set]
 Returns or sets the orientation method for defining a csys More...
 
unsafe NXOpen.Plane Plane [get, set]
 Returns or sets the plane used for mirror More...
 
unsafe
NXOpen.Weld.JointmarkPointsBuilderList 
PointList [get]
 Returns the list of points More...
 
unsafe
NXOpen.Weld.JointmarkBuilder.ProjectionDirectionOptions 
ProjectionDirectionOption [get, set]
 Returns or sets the projection direction option used to project NXOpen.Weld.JointmarkBuilder.SelectPointsObject onto the NXOpen.Weld.JointmarkBuilder.GetReferenceSheet . More...
 
unsafe
NXOpen.Weld.JointmarkBuilder.ReferenceSheetTypes 
ReferenceSheetType [get, set]
 Returns or sets the type of reference sheet More...
 
unsafe
NXOpen.Features.SelectFeatureList 
ReuseFeatures [get]
 Returns the selected reuse features More...
 
unsafe
NXOpen.Weld.JointmarkBuilder.ReuseMethod 
ReuseFeaturesMethod [get, set]
 Returns or sets the method used to infer feature parameters if all connected parts are the same, or skip inferring due to connected parts being different. More...
 
unsafe
NXOpen.SelectTaggedObjectList 
SelectMirrorObject [get]
 Returns the selected objects for mirror. More...
 
unsafe NXOpen.SelectPointList SelectPointsObject [get]
 Returns the selected objects for Points More...
 
unsafe
NXOpen.SelectTaggedObjectList 
SelectTranslateObject [get]
 Returns the selected objects to translate. More...
 
unsafe bool ShowWorkCsys [get, set]
 Returns or sets the option to control if the work coordinate system should be showing. More...
 
unsafe NXOpen.CoordinateSystem TranslateCsys [get, set]
 Returns or sets the coordinate system that defines the translate offset directions. More...
 
unsafe NXOpen.Expression TranslateX [get]
 Returns the expression containing the value of the x translation distance. More...
 
unsafe NXOpen.Expression TranslateY [get]
 Returns the expression containing the value of the y translation distance. More...
 
unsafe NXOpen.Expression TranslateZ [get]
 Returns the expression containing the value of the z translation distance. More...
 
unsafe NXOpen.Direction Vector [get, set]
 Returns or sets the vector which points to Y axis More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Weld.Jointmark builder

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateJointmarkBuilder

Default values.

Property Value

Associativity

1

ConnectPart (deprecated)

0

ConnectPartType

AllUniqueParts

ConstructionMethod

GuideCurve

CreateSingleFeatures

0

OrientationMethod

SurfaceNormal

ReferenceSheetType

Overlap

ReuseFeaturesMethod

SameConnectingParts

ShowWorkCsys

1

Created in NX9.0.0

Member Enumeration Documentation

The type of sheets to create

Enumerator
Two 
Three 
Four 

The type of connect part

Enumerator
AllUniqueParts 

All unique parts

OnlyOnePart 

Only one part

IgnoreFiltering 

Ignore Filtering

The type of construction method for creating Jointmark

Enumerator
GuideCurve 

Guide Curve

Mirror 

Mirror

Points 

Points

Translate 

Translate

ExistingPoints 

Existing Points.

Only allowed for NXOpen.Weld.PointMark class.

The type of orientation method for defining the default coordinate system.

Enumerator
SurfaceNormal 

Surface Normals.

CoordinateSystem 

Use fixed csys instead of surface normals.

The projection direction used to project points onto the reference sheet

Enumerator
None 
AlongFaceNormal 
PricipalAxis 
X 
Y 
Z 

The type of sheets to create

Enumerator
Overlap 

Overlap

Top 

Top

The method to indicate if all reuse features have the same connected parts

Enumerator
SameConnectingParts 
AnyConnectingParts 

Member Function Documentation

unsafe void NXOpen.Weld.JointmarkBuilder.AppendPoints ( bool  mode,
NXOpen.Curve  curve 
)
inline

Creates a list of points on the overlap sheet.

In addition, a curve selected by the user will be placed at these points.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
modeCreate or Edit
curveCurve to place at these points
unsafe NXOpen.Weld.ConnectedPart NXOpen.Weld.JointmarkBuilder.AskConnectedFaces ( )
inline

Find the connected face information.

The data is stored in NXOpen.Weld.ConnectedPart containing the appropriate connected part face occurrence information.

Created in NX11.0.0

License requirements: None.

Returns
Connected face information. a null reference (Nothing in Visual Basic) if none are found.
unsafe void NXOpen.Weld.JointmarkBuilder.CreateReferenceData ( )
inline

Create a temporary overlap or top sheet and guide curve.

Use with independent NXOpen.Weld.PointMarkPoint features.

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Curve NXOpen.Weld.JointmarkBuilder.CreateSymbolCurve ( string  path,
string  name 
)
inline

Create curve From PMI symbol

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
pathSymbol path
nameSymbol id
Returns
Curve from symbol
unsafe void NXOpen.Weld.JointmarkBuilder.DeleteReferenceData ( )
inline

Delete temporary overlap or top sheet feature.

Use with independent NXOpen.Weld.PointMarkPoint features.

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.JointmarkBuilder.FromReuseFeatures ( out bool  faceSetsUpdated,
out bool  guideCurvesUpdated,
out bool  pointSelectionUpdated 
)
inline

Initializes face sets, guide curve, and points builders from reuse features.

Created in NX11.0.1

License requirements: ugweld ("UG WELD")

Parameters
faceSetsUpdatedIndicates if the face set list was updated.
guideCurvesUpdatedIndicates if the guide curve list was updated.
pointSelectionUpdatedIndicates if point selection object was updated.
unsafe void NXOpen.Weld.JointmarkBuilder.GetCreateReferenceDataMessages ( out string[]  messages)
inline

Get all the messages created by NXOpen.Weld.JointmarkBuilder.CreateReferenceData .

Created in NX10.0.1

License requirements: ugweld ("UG WELD")

Parameters
messagesThe array of messages generated during the process of discovering the reference data.
unsafe NXOpen.Features.Feature NXOpen.Weld.JointmarkBuilder.GetReferenceSheet ( )
inline

Returns the Reference Sheet feature

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Returns
unsafe void NXOpen.Weld.JointmarkBuilder.GetSelectedReferences ( out NXOpen.NXObject[]  references)
inline

Gets the selected points, or point features, references.

Does not apply to the guide curves method.

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

Parameters
referencesThe array of references. These may be points or point features.
unsafe void NXOpen.Weld.JointmarkBuilder.GetSheetEdges ( out NXOpen.Edge[]  edges)
inline

Edges of created sheet

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
edges
unsafe void NXOpen.Weld.JointmarkBuilder.MapFeaturesToPoints ( )
inline

Maps the selected reuse features to the new preview point locations.

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.JointmarkBuilder.MoveReferenceSheet ( )
inline

Move the Reference Sheet to work layer, and unlink from grouping feature.

Created in NX10.0.1

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkFaceSetsBuilder NXOpen.Weld.JointmarkBuilder.NewFaceSets ( )
inline

Creates a NXOpen.Weld.JointmarkFaceSetsBuilder object.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Returns
unsafe NXOpen.Weld.JointmarkGuideBuilder NXOpen.Weld.JointmarkBuilder.NewGuide ( )
inline

Creates a NXOpen.Weld.JointmarkGuideBuilder object.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Returns
unsafe NXOpen.Weld.JointmarkPointsBuilder NXOpen.Weld.JointmarkBuilder.NewPoints ( )
inline

Creates a NXOpen.Weld.JointmarkPointsBuilder object.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Returns
unsafe void NXOpen.Weld.JointmarkBuilder.RediscoverFaces ( )
inline

Use the Weld Assistant Connected Face Finder command to rediscover faces based on the current feature point positions.

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.JointmarkBuilder.SetDisplayCsys ( bool  status)
inline

Indicates whether the csys should be displayed on creation

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

Parameters
status
unsafe void NXOpen.Weld.JointmarkBuilder.SetShowThruState ( bool  status)
inline

Indicates whether the output objects should show thru on creation

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

Parameters
status
unsafe void NXOpen.Weld.JointmarkBuilder.UpdateFeatures ( )
inline

Updates all the items on the points list based on the construction method and related inputs.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.JointmarkBuilder.UpdatePoint ( )
inline

Updates the selected point by projecting it to the guide curve.

Created in NX10.0.2

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Features.Feature NXOpen.Weld.JointmarkBuilder.UpdateReferenceSheet ( bool  facesModified)
inline

Prepares a Reference Sheet for placing Jointmark features.

If the sheet is suppressed, it will be unsuppressed.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
facesModifiedIndicates if Reference Sheet needs to be updated.
Returns

Property Documentation

unsafe bool NXOpen.Weld.JointmarkBuilder.Associativity
getset

Returns or sets the automatic update option also known as associativity.

If true, the curve representing the Jointmark feature will change its location if the guide curve is updated

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.CharacteristicsBuilder NXOpen.Weld.JointmarkBuilder.Characteristics
get

Returns the characteristics

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkBuilder.ConnectedPanelTypes NXOpen.Weld.JointmarkBuilder.ConnectedPanelType
getset

Returns or sets the number of connected panels at a point.

This is used when the construction method is Existing Points

Created in NX10.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.JointmarkBuilder.ConnectPart
getset

Returns or sets the option of connecting only one part.

If true, Jointmark feature is created on a single component.

Created in NX9.0.0

Deprecated in NX1872.0.0. Use JA_JOINTMARK_BUILDER_get_ConnectPartType instead.

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkBuilder.ConnectPartTypes NXOpen.Weld.JointmarkBuilder.ConnectPartType
getset

Returns or sets the option of connecting only one part.

If true, Jointmark feature is created on a single component.

Created in NX1872.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkBuilder.Method NXOpen.Weld.JointmarkBuilder.ConstructionMethod
getset

Returns or sets the construction method for creating Jointmark

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.JointmarkBuilder.CreateSingleFeatures
getset

Returns or sets the control option to determine if individual features should be created.

Only allowed for NXOpen.Weld.PointMark class.

Created in NX10.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.JointmarkBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkFaceSetsBuilderList NXOpen.Weld.JointmarkBuilder.FaceSetsList
get

Returns the list of face sets

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.CoordinateSystem NXOpen.Weld.JointmarkBuilder.FixedCsys
getset

Returns or sets the fixed csys that overrides the default Csys orientation.

Created in NX10.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkGuideBuilderList NXOpen.Weld.JointmarkBuilder.GuideCurvesList
get

Returns the list of guide curves

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.JointmarkBuilder.NotifyIfParentPointMoved
getset

Returns or sets the option to indicate if an alert should be issued when the parent point moves.

Valid when using NXOpen.Weld.JointmarkBuilder.Method.ExistingPoints and associativity is off.

Created in NX11.0.1

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkBuilder.OrientationMethodTypes NXOpen.Weld.JointmarkBuilder.OrientationMethod
getset

Returns or sets the orientation method for defining a csys

Created in NX10.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Plane NXOpen.Weld.JointmarkBuilder.Plane
getset

Returns or sets the plane used for mirror

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkPointsBuilderList NXOpen.Weld.JointmarkBuilder.PointList
get

Returns the list of points

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkBuilder.ProjectionDirectionOptions NXOpen.Weld.JointmarkBuilder.ProjectionDirectionOption
getset

Returns or sets the projection direction option used to project NXOpen.Weld.JointmarkBuilder.SelectPointsObject onto the NXOpen.Weld.JointmarkBuilder.GetReferenceSheet .

Created in NX10.0.2

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkBuilder.ReferenceSheetTypes NXOpen.Weld.JointmarkBuilder.ReferenceSheetType
getset

Returns or sets the type of reference sheet

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Features.SelectFeatureList NXOpen.Weld.JointmarkBuilder.ReuseFeatures
get

Returns the selected reuse features

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Weld.JointmarkBuilder.ReuseMethod NXOpen.Weld.JointmarkBuilder.ReuseFeaturesMethod
getset

Returns or sets the method used to infer feature parameters if all connected parts are the same, or skip inferring due to connected parts being different.

Created in NX11.0.1

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.SelectTaggedObjectList NXOpen.Weld.JointmarkBuilder.SelectMirrorObject
get

Returns the selected objects for mirror.

These objects can be features or curves representing Jointmark

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.SelectPointList NXOpen.Weld.JointmarkBuilder.SelectPointsObject
get

Returns the selected objects for Points

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.SelectTaggedObjectList NXOpen.Weld.JointmarkBuilder.SelectTranslateObject
get

Returns the selected objects to translate.

These objects can be features or curves representing Jointmark

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.JointmarkBuilder.ShowWorkCsys
getset

Returns or sets the option to control if the work coordinate system should be showing.

Created in NX10.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.CoordinateSystem NXOpen.Weld.JointmarkBuilder.TranslateCsys
getset

Returns or sets the coordinate system that defines the translate offset directions.

If not specified the absolute csys will be used.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Expression NXOpen.Weld.JointmarkBuilder.TranslateX
get

Returns the expression containing the value of the x translation distance.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.JointmarkBuilder.TranslateY
get

Returns the expression containing the value of the y translation distance.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.JointmarkBuilder.TranslateZ
get

Returns the expression containing the value of the z translation distance.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Weld.JointmarkBuilder.Vector
getset

Returns or sets the vector which points to Y axis

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.